Install curl, wget and bash-completion packages when building quantal64 base box

This commit is contained in:
Fabio Rehm 2013-03-08 01:40:58 -03:00
parent 8a3c68b240
commit e757563d9d

View file

@ -35,7 +35,7 @@ EOF
download_ubuntu() download_ubuntu()
{ {
packages=vim,ssh packages=vim,ssh,curl,wget,bash-completion
echo "installing packages: $packages" echo "installing packages: $packages"
trap cleanup EXIT SIGHUP SIGINT SIGTERM trap cleanup EXIT SIGHUP SIGINT SIGTERM
@ -77,6 +77,7 @@ EOF
chmod +x "$1/partial-${arch}"/usr/sbin/policy-rc.d chmod +x "$1/partial-${arch}"/usr/sbin/policy-rc.d
lxc-unshare -s MOUNT -- chroot "$1/partial-${arch}" apt-get dist-upgrade -y || { suggest_flush; false; } lxc-unshare -s MOUNT -- chroot "$1/partial-${arch}" apt-get dist-upgrade -y || { suggest_flush; false; }
rm -f "$1/partial-${arch}"/usr/sbin/policy-rc.d rm -f "$1/partial-${arch}"/usr/sbin/policy-rc.d
chroot "$1/partial-${arch}" apt-get clean chroot "$1/partial-${arch}" apt-get clean
@ -95,7 +96,7 @@ declare cache=`readlink -f .` \
release=quantal release=quantal
if [ -d "${cache}/rootfs-${arch}" ]; then if [ -d "${cache}/rootfs-${arch}" ]; then
echo 'The cache has been downloaded already, please remove it if you want to update' echo 'The rootfs cache has been downloaded already, please remove it if you want to update'
exit 1 exit 1
fi fi